import { parse } from '@babel/parser';
import { compile } from '@es-js/core';

function index() {
  return {
    name: "esjs",
    parserOverride(code, options = {}) {
      const output = compile(code);
      return parse(output, options);
    }
  };
}

export { index as default };
